[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TXMLConfigStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: xmlpropstorage.pas line 75

`type TXMLConfigStorage = class(TConfigStorage)`
`protected`
`function GetFullPathValue();`
`procedure SetFullPathValue();`
`procedure SetDeleteFullPathValue();`
`procedure DeleteFullPath(); override;`
`procedure DeleteFullPathValue(); override;`
`public`
`procedure Clear; override;`
`procedure Create();`
`destructor Destroy; override;`
`property XMLConfig: TXMLConfig; [r]`
`property FreeXMLConfig: Boolean; [rw]`
`procedure WriteToDisk; override;`
`function GetFilename; override;`
`end;`

## Inheritance

`TXMLConfigStorage`
`TConfigStorage` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.